using BBM.ChatGLM.ChatSession.Aggregates;
using BBM.ChatGLM.Dtos;
using BBM.ChatGLM.PromptWord;
using BBM.ChatGLM.PromptWordType.Aggregates;
using Volo.Abp.Identity;

namespace BBM.ChatGLM
{
    public class ChatGLMApplicationAutoMapperProfile : Profile
    {
        public ChatGLMApplicationAutoMapperProfile()
        {
            CreateMap<PromptWords, PromptWordDto>();
            CreateMap<PromptWordTypes, PromptWordTypeDto>();
            CreateMap<IdentityUser, IdentityUserDto>();
            CreateMap<IdentityUser, UserDto>();
            CreateMap<ChatSessions, ChatSessionDto>();
        }
    }
}
